Subject: Re: [PATCH net] bridge: notify user space after fdb update

From: Toshiaki Makita <[email-masked]>
Date: Thu, 29 May 2014 18:15:18 +0900

(2014/05/29 16:27), Jon Maxwell wrote:
> There has been a number incidents recently where customers running KVM have
> reported that VM hosts on different Hypervisors are unreachable. Based on
> pcap traces we found that the bridge was broadcasting the ARP request out
> onto the network. However some NICs have an inbuilt switch which on occasions
> were broadcasting the VMs ARP request back through the physical NIC on the
> Hypervisor. This resulted in the bridge changing ports and incorrectly learning
> that the VMs mac address was external. As a result the ARP reply was directed
> back onto the external network and VM never updated it's ARP cache. This patch
> will notify the bridge command, after a fdb has been updated to identify such
> port toggling.
> 
> Signed-off-by: Jon Maxwell <[email-masked]>

Acked-by: Toshiaki Makita <[email-masked]>